/* ############################################### */
/* REGOLE GENERALI */
/* ############################################### */

:root {
  --height-base: 20vh;
  --height-media: 40vh;
  --height-hero: 71vh;
  --triangle-height: clamp(2.5rem, 6vw, 5.625rem);
}

.height-base {
  min-height: var(--height-base);
}

.height-media {
  min-height: var(--height-media);
}

.height-hero {
  min-height: var(--height-hero);
}

.height-hero.short {
  min-height: 470px;
  height: 50vh;
}

.height-triangolo {
  min-height: calc(var(--height-base) + var(--triangle-height));
}

html,
body {
  overflow-x: hidden;
}

.ratio-1x1 {
  aspect-ratio: 1 / 1;
  object-fit: cover;
}

.ratio-45x3 {
  aspect-ratio: 4.5 / 3;
  object-fit: cover;
}

.shadow-1 {
  box-shadow: 0 3px 20px #00000029;
}

.divider-top {
  height: var(--triangle-height);
  margin-top: calc(var(--triangle-height) * -1 + 0.5px);
  clip-path: polygon(0 0,
      32% 0,
      50% 55%,
      68% 0,
      100% 0,
      100% 100%,
      0 100%);
}

main {
  padding-top: clamp(6rem, 8vw, 7rem);
}

.divider-bottom {
  height: var(--triangle-height);
  z-index: 100;
  margin-top: 0px;
  position: relative;
  margin-bottom: calc(var(--triangle-height) * -0.9);
  clip-path: polygon(30% 0,
      70% 0,
      50% 60%);
}

/* ############################################### */
/* BREADCRUMBS */
/* ############################################### */

#breadcrumbs span,
#breadcrumbs a {
  font-family: var(--font-1);
  font-size: 11px;
  color: rgba(10, 9, 8, 0.5);
  margin-bottom: 1rem;
  transition: color 0.35s ease;
}


/* ############################################### */
/* GRAVITY FORM */
/* ############################################### */

.gform-theme--foundation .gform_fields {
  row-gap: 20px !important;
}

/* ======================================
BLOCCO SCROLL PAGINA
====================================== */

html.menu-open,
body.menu-open {
  overflow: hidden;
  height: 100%;
}


/* ############################################### */
/* ANIMAZIONI */
/* ############################################### */

.fade-in {
  opacity: 0;
  transition: all 2s cubic-bezier(0.215, 0.6, 0.355, 1);
}

.fade-in.in-page {
  opacity: 1;
}

.fade-in-top {
  opacity: 0;
  transform: translateY(10vh);
  transition: all 1.5s cubic-bezier(0.215, 0.6, 0.355, 1);
}

.fade-in-top.in-page {
  opacity: 1;
  transform: translateY(0);
}

.fade-in-top.in-page {
  opacity: 1;
  transform: translateY(0);
}

.fade-in-left {
  opacity: 0;
  transform: translateX(-10vw);
  transition: all 1.5s cubic-bezier(0.215, 0.6, 0.355, 1);
  overflow: hidden;
}

.fade-in-left.in-page {
  opacity: 1;
  transform: translateX(0);
  overflow: visible;
}

.fade-in-right {
  opacity: 0;
  transform: translateX(10vw);
  transition: all 1.5s cubic-bezier(0.215, 0.6, 0.355, 1);
  overflow: hidden;
}

.fade-in-right.in-page {
  opacity: 1;
  transform: translateX(0);
  overflow: visible;
}

.transition-delay-0 {
  transition-delay: 0ms;
}

.transition-delay-1 {
  transition-delay: 100ms;
}

.transition-delay-2 {
  transition-delay: 200ms;
}

.transition-delay-3 {
  transition-delay: 300ms;
}

.transition-delay-4 {
  transition-delay: 400ms;
}

.transition-delay-5 {
  transition-delay: 500ms;
}

.transition-delay-6 {
  transition-delay: 600ms;
}

.transition-delay-7 {
  transition-delay: 700ms;
}

.transition-delay-8 {
  transition-delay: 800ms;
}

.transition-delay-9 {
  transition-delay: 900ms;
}

.transition-delay-10 {
  transition-delay: 1000ms;
}

.transition-delay-11 {
  transition-delay: 1100ms;
}

.transition-delay-12 {
  transition-delay: 1200ms;
}

/* PAGE LOADER */
#page-loader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.8);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 9999;

  opacity: 1;
  visibility: visible;

  transition: opacity 0.45s ease, visibility 0s linear 0.45s;
}

/* stato nascosto */

#page-loader.loader-hidden {
  opacity: 0;
  visibility: hidden;
}

/* spinner */

.loader-spinner {
  width: 48px;
  height: 48px;
  border: 4px solid var(--gray-color);
  border-top: 4px solid var(--first-color);
  border-radius: 50%;
  animation: spin 0.8s linear infinite;

  transition: transform 0.4s ease, opacity 0.4s ease;
}

@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}

.loader-hidden .loader-spinner {
  transform: scale(0.6);
  opacity: 0;
}